Bug 104787 - Mozilla browser is launched as root even when running redhat-config-printer via consolehelper
Mozilla browser is launched as root even when running redhat-config-printer v...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-21 20:06 EDT by Tim Kent
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 08:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Kent 2003-09-21 20:06:46 EDT
Description of problem:

Mozilla browser is launched as root even when running redhat-config-printer via
consolehelper.

Version-Release number of selected component (if applicable):

redhat-config-printer-gui-0.6.47.9-1

Steps to Reproduce:
1. Selecting the Printing icon (like many other RedHat configuration utilities)
launches /usr/sbin/redhat-config-printer-gui via consolehelper - A wrapper that
helps console users run system programs.                                       
                                         Browsing the HTML help: (Help >
Contents) causes redhat-config-printer-gui to launch Mozilla as root, allowing
editing of any file on the system to say the least.
    
Actual results:

Mozilla is launched as root.

Expected results:

I suggest that while redhat-config-printer-gui is run via consolehelper, the
helper component is run as the initiating user and not as root.  Say for example
as a system administrator you choose to allow particular users sudo access to
redhat-config-printer-gui, they then have write access to all files.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.